Subject: Sandy
From: Kay <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Sat, 31 Mar 2012 18:56:31 -0500

I called Sandy. She is in her third week of a bronchitis bug she gets frequently from the AZ dusty air. She was very depressed and full of anger. Furious with people who use cell phones. Attacking them in grocery stores, etc. I got her to admit the rage is coming from somewhere else and it isn't really about cell phones. So like April. Angry at the world. 

Sandy is depressed, doesn't like herself, doesn't like her life. Mad at her kids. I feel sorry for her but also don't want to be around that negative destructive energy. She talked about hating her step father and taking him on in huge fights. She wants to fight the world.  I did get her to agree to see her counselor again next week. 

Damon has a new girlfriend living with him at Place of Hawks, that she heard is a tramp named Jessica Howery. I don't know that name. Knowing the way those kids were raised I expect eventually Damon and Danielle will turn on each other. What a mess.
Kay